#if !defined(AFX_IIRDLG_H__2AA629E0_0FF3_11D5_B5F1_5254AB134FE2__INCLUDED_)
#define AFX_IIRDLG_H__2AA629E0_0FF3_11D5_B5F1_5254AB134FE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IIRDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIIRDlg dialog

class CIIRDlg : public CDialog
{
private:
	void AddPole(double r, double w);
	void AddZero(double r, double w);
	void DelPole(int index);
	void DelZero(int index);
	void LoadLists();
	void UpdateButtons();
// Construction
public:
	CIIRDlg(CWnd* pParent = NULL);   // standard constructor
	
	int m_HalfRate;
	int cur_pole;
	int cur_zero;
	double rp[MAX_POLES], wp[MAX_POLES];
	double r0[MAX_ZEROS], w0[MAX_ZEROS];
// Dialog Data
	//{{AFX_DATA(CIIRDlg)
	enum { IDD = IDD_IIR };
	CButton	m_DelZero;
	CButton	m_DelPole;
	CButton	m_AddZero;
	CButton	m_AddPole;
	CListBox	m_ZerosList;
	CListBox	m_PolesList;
	int		m_GraphType;
	BOOL	m_Normalize;
	int		m_ApplyTo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIIRDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CIIRDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddpole();
	afx_msg void OnDelpole();
	afx_msg void OnAddzero();
	afx_msg void OnDelzero();
	afx_msg void OnSave();
	afx_msg void OnLoad();
	afx_msg void OnDblclkPoles();
	afx_msg void OnDblclkZeros();
	afx_msg void OnDisplaygraph();
	afx_msg void OnClearlists();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IIRDLG_H__2AA629E0_0FF3_11D5_B5F1_5254AB134FE2__INCLUDED_)
