// LopassDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DSP.h"
#include "LopassDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLopassDlg dialog


CLopassDlg::CLopassDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLopassDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLopassDlg)
	m_ApplyTo = -1;
	m_KernelSize = 512;
	m_WindowType = 0;
	m_Cutoff = 1000;
	m_Freq = _T("");
	//}}AFX_DATA_INIT
}


void CLopassDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLopassDlg)
	DDX_CBIndex(pDX, IDC_APPLYTO, m_ApplyTo);
	DDX_Text(pDX, IDC_KERNELSIZE, m_KernelSize);
	DDV_MinMaxInt(pDX, m_KernelSize, 16, 1024);
	DDX_Radio(pDX, IDC_WINDOWTYPE, m_WindowType);
	DDX_Text(pDX, IDC_CUTOFF, m_Cutoff);
	DDX_Text(pDX, IDC_STATICFREQ, m_Freq);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLopassDlg, CDialog)
	//{{AFX_MSG_MAP(CLopassDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLopassDlg message handlers

BOOL CLopassDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if (!m_ApplyTo)
	{
		CComboBox *cb = (CComboBox *)GetDlgItem(IDC_APPLYTO);
		cb->DeleteString(1);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
