#if !defined(AFX_RECORDDLG_H__3BCA5C49_FE0B_11D4_B5F1_5254AB134FE2__INCLUDED_)
#define AFX_RECORDDLG_H__3BCA5C49_FE0B_11D4_B5F1_5254AB134FE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RecordDlg.h : header file
//

#define BLOCK_SIZE 4096

/////////////////////////////////////////////////////////////////////////////
// CRecordDlg dialog

struct BlockList {
	char *data;
	int size;
	BlockList *next;
};

class CRecordDlg : public CDialog
{
private:
	BlockList *beg, *end, *cur;
	HWAVEOUT hwo;
	HWAVEIN hwi;
	WAVEHDR wh;
	int m_Blocks;
	bool IsPlaying;
	bool IsRecording;
	bool Paused;
	char *block;
	unsigned char *old_pixels;
	WAVEFORMATEX wf2;
	void SetFormatData(WAVEFORMATEX& wf);
	void DrawBlockData();
	void AddBuffer();
	void WriteBuffer();
	void AppendList(int size);
	void DeleteList();
	friend void CALLBACK waveOutProc1(HWAVEOUT hwo,	UINT uMsg, DWORD dwInstance,
									  DWORD dwParam1, DWORD dwParam2);
	friend void CALLBACK waveInProc(HWAVEOUT hwo,	UINT uMsg, DWORD dwInstance,
									DWORD dwParam1, DWORD dwParam2);
// Construction
public:
	CRecordDlg(CWnd* pParent = NULL);   // standard constructor
	~CRecordDlg();

	WAVEFORMATEX wf1;
	char *data;
	int datasize;
// Dialog Data
	//{{AFX_DATA(CRecordDlg)
	enum { IDD = IDD_RECORDDLG };
	CButton	m_Ok;
	CButton	m_Pause;
	CButton	m_Play;
	CButton	m_Stop;
	CButton	m_Rec;
	int		m_SmpRate;
	int		m_SmpSize;
	int		m_Channels;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRecordDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRecordDlg)
	afx_msg void OnPlay();
	afx_msg void OnPause();
	afx_msg void OnRec();
	afx_msg void OnStop();
	afx_msg void OnSmprate();
	afx_msg void OnSmpsize();
	afx_msg void OnChannel();
	afx_msg void OnPaint();
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECORDDLG_H__3BCA5C49_FE0B_11D4_B5F1_5254AB134FE2__INCLUDED_)
