// SetSampleDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dsp.h"
#include "SetSampleDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetSampleDlg dialog


CSetSampleDlg::CSetSampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetSampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetSampleDlg)
	m_FormType = 0;
	m_FromH = 0;
	m_FromM = 0;
	m_FromN = 0;
	m_FromS = 0;
	m_FromT = 0;
	m_GroupSize = 0;
	m_SampleVal = 0.0;
	m_ToH = 0;
	m_ToM = 0;
	m_ToN = 0;
	m_ToS = 0;
	m_ToT = 0;
	//}}AFX_DATA_INIT
}


void CSetSampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetSampleDlg)
	DDX_Radio(pDX, IDC_FORMTYPE, m_FormType);
	DDX_Text(pDX, IDC_FROMH, m_FromH);
	DDV_MinMaxInt(pDX, m_FromH, 0, 23);
	DDX_Text(pDX, IDC_FROMM, m_FromM);
	DDV_MinMaxInt(pDX, m_FromM, 0, 59);
	DDX_Text(pDX, IDC_FROMN, m_FromN);
	DDV_MinMaxInt(pDX, m_FromN, 0, 2147483647);
	DDX_Text(pDX, IDC_FROMS, m_FromS);
	DDV_MinMaxInt(pDX, m_FromS, 0, 59);
	DDX_Text(pDX, IDC_FROMT, m_FromT);
	DDV_MinMaxInt(pDX, m_FromT, 0, 999);
	DDX_Radio(pDX, IDC_GROUPSIZE, m_GroupSize);
	DDX_Text(pDX, IDC_SAMPLEVAL, m_SampleVal);
	DDV_MinMaxDouble(pDX, m_SampleVal, -1., 1.);
	DDX_Text(pDX, IDC_TOH, m_ToH);
	DDV_MinMaxInt(pDX, m_ToH, 0, 23);
	DDX_Text(pDX, IDC_TOM, m_ToM);
	DDV_MinMaxInt(pDX, m_ToM, 0, 59);
	DDX_Text(pDX, IDC_TON, m_ToN);
	DDV_MinMaxInt(pDX, m_ToN, 0, 2147483647);
	DDX_Text(pDX, IDC_TOS, m_ToS);
	DDV_MinMaxInt(pDX, m_ToS, 0, 59);
	DDX_Text(pDX, IDC_TOT, m_ToT);
	DDV_MinMaxInt(pDX, m_ToT, 0, 999);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetSampleDlg, CDialog)
	//{{AFX_MSG_MAP(CSetSampleDlg)
	ON_BN_CLICKED(IDC_FORMTYPE, OnFormtype)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetSampleDlg message handlers

void CSetSampleDlg::OnFormtype() 
{
	// TODO: Add your control notification handler code here
	GetDlgItem(IDC_FROMN)->EnableWindow();	
	GetDlgItem(IDC_TON)->EnableWindow();	

	GetDlgItem(IDC_FROMH)->EnableWindow(false);	
	GetDlgItem(IDC_FROMM)->EnableWindow(false);	
	GetDlgItem(IDC_FROMS)->EnableWindow(false);	
	GetDlgItem(IDC_FROMT)->EnableWindow(false);	
	GetDlgItem(IDC_TOH)->EnableWindow(false);	
	GetDlgItem(IDC_TOM)->EnableWindow(false);	
	GetDlgItem(IDC_TOS)->EnableWindow(false);	
	GetDlgItem(IDC_TOT)->EnableWindow(false);	
}

void CSetSampleDlg::OnRadio2() 
{
	// TODO: Add your control notification handler code here
	GetDlgItem(IDC_FROMN)->EnableWindow(false);	
	GetDlgItem(IDC_TON)->EnableWindow(false);	

	GetDlgItem(IDC_FROMH)->EnableWindow();	
	GetDlgItem(IDC_FROMM)->EnableWindow();	
	GetDlgItem(IDC_FROMS)->EnableWindow();	
	GetDlgItem(IDC_FROMT)->EnableWindow();	
	GetDlgItem(IDC_TOH)->EnableWindow();	
	GetDlgItem(IDC_TOM)->EnableWindow();	
	GetDlgItem(IDC_TOS)->EnableWindow();	
	GetDlgItem(IDC_TOT)->EnableWindow();	
}


BOOL CSetSampleDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	if (!m_FormType)
		OnFormtype();
	else
		OnRadio2();		

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
